Skip to main content
GET
/
v1
/
disputes
/
{disputeId}
Get a dispute
curl --request GET \
  --url https://matcher.sandbox.lerian.net/v1/disputes/{disputeId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://matcher.sandbox.lerian.net/v1/disputes/{disputeId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://matcher.sandbox.lerian.net/v1/disputes/{disputeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "category": "BANK_FEE_ERROR",
  "createdAt": "2025-01-15T10:30:00.000Z",
  "description": "Transaction amount differs from expected",
  "evidence": [
    {
      "comment": "Bank statement attached",
      "disputeId": "019c96a0-10d2-7193-8841-0d7347efd09a",
      "fileUrl": "https://storage.example.com/evidence/doc123.pdf",
      "id": "019c96a0-0c0d-7915-84b9-e497bfee9916",
      "submittedAt": "2025-01-15T10:30:00.000Z",
      "submittedBy": "user@example.com"
    }
  ],
  "exceptionId": "019c96a0-10d2-7134-ba5f-664142ee7052",
  "id": "019c96a0-10d2-7193-8841-0d7347efd09a",
  "openedBy": "user@example.com",
  "reopenReason": "New evidence discovered",
  "resolution": "Counterparty confirmed error",
  "state": "OPEN",
  "updatedAt": "2025-01-15T10:30:00.000Z"
}
{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}
{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}
{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}
{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}
{
"code": "MTCH-0002",
"title": "Internal Server Error",
"message": "internal server error"
}

Authorizations

Authorization
string
header
required

Bearer token authentication (format: "Bearer {token}")

Headers

X-Request-Id
string

A unique identifier for tracing the request across services.

Path Parameters

disputeId
string
required

The unique identifier of the dispute.

Response

Successfully retrieved dispute

Dispute details

category
enum<string>

Category of the dispute

Available options:
BANK_FEE_ERROR,
UNRECOGNIZED_CHARGE,
DUPLICATE_TRANSACTION,
OTHER
Example:

"BANK_FEE_ERROR"

createdAt
string

Creation timestamp in RFC3339 format

Example:

"2025-01-15T10:30:00.000Z"

description
string

Description of the dispute

Example:

"Transaction amount differs from expected"

evidence
object[]

Evidence submitted for this dispute

exceptionId
string

Exception ID this dispute is for

Example:

"019c96a0-10d2-7134-ba5f-664142ee7052"

id
string

Unique identifier for the dispute

Example:

"019c96a0-10d2-7193-8841-0d7347efd09a"

openedBy
string

User who opened the dispute

Example:

"user@example.com"

reopenReason
string

Reason for reopening if reopened

Example:

"New evidence discovered"

resolution
string

Resolution description when closed

Example:

"Counterparty confirmed error"

state
enum<string>

Current state

Available options:
DRAFT,
OPEN,
PENDING_EVIDENCE,
WON,
LOST
Example:

"OPEN"

updatedAt
string

Last update timestamp in RFC3339 format

Example:

"2025-01-15T10:30:00.000Z"